Package org.apache.any23.http

## Class AcceptHeaderBuilderTest

- java.lang.Object
- - org.apache.any23.http.AcceptHeaderBuilderTest

-     public class AcceptHeaderBuilderTest
      extends Object

  Reference test for `AcceptHeaderBuilder`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AcceptHeaderBuilderTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testEmpty()` |
    `void` | `testHighestSpecificValueIsChosen()` |
    `void` | `testHighestSubtypeWildcardIsChosen()` |
    `void` | `testHighestTypeWildcardIsChosen()` |
    `void` | `testMultipleIndependentHeaders()` |
    `void` | `testSingleHeaderSpecific()` |
    `void` | `testSingleHeaderSpecificWithQ()` |
    `void` | `testSingleHeaderSubtypeWildcard()` |
    `void` | `testSingleHeaderTypeWildcard()` |
    `void` | `testSubtypeWildcardSuppressesLowerValues()` |
    `void` | `testSuppressQIfEquals1()` |
    `void` | `testTypeWildcardSuppressesLowerValues()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptHeaderBuilderTest

          public AcceptHeaderBuilderTest()

  - ### Method Detail

    - #### testEmpty

          public void testEmpty()

    - #### testSingleHeaderSpecific

          public void testSingleHeaderSpecific()

    - #### testSingleHeaderSpecificWithQ

          public void testSingleHeaderSpecificWithQ()

    - #### testSuppressQIfEquals1

          public void testSuppressQIfEquals1()

    - #### testSingleHeaderSubtypeWildcard

          public void testSingleHeaderSubtypeWildcard()

    - #### testSingleHeaderTypeWildcard

          public void testSingleHeaderTypeWildcard()

    - #### testMultipleIndependentHeaders

          public void testMultipleIndependentHeaders()

    - #### testHighestSpecificValueIsChosen

          public void testHighestSpecificValueIsChosen()

    - #### testHighestSubtypeWildcardIsChosen

          public void testHighestSubtypeWildcardIsChosen()

    - #### testHighestTypeWildcardIsChosen

          public void testHighestTypeWildcardIsChosen()

    - #### testTypeWildcardSuppressesLowerValues

          public void testTypeWildcardSuppressesLowerValues()

    - #### testSubtypeWildcardSuppressesLowerValues

          public void testSubtypeWildcardSuppressesLowerValues()